This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 21:54
Elapsed6m49s
Revision
Builder19acb9b0-739a-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/9f5ce02a-9a3a-44e1-a18e-bc6abe639be1/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/9f5ce02a-9a3a-44e1-a18e-bc6abe639be1/targets/test
infra-commitc614d8a89

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 21:54:46.353] process 30 exited with code 0 after 0.0m
I0331 21:54:46.354] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 21:54:46.354] Root: /workspace
I0331 21:54:46.354] cd to /workspace
I0331 21:54:46.354] Configure environment...
I0331 21:54:46.355] Call:  git show -s --format=format:%ct HEAD
W0331 21:54:46.359] fatal: not a git repository (or any of the parent directories): .git
I0331 21:54:46.360] process 43 exited with code 128 after 0.0m
W0331 21:54:46.360] Unable to print commit date for HEAD
I0331 21:54:46.360] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 21:54:46.948] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 21:54:47.914] process 44 exited with code 0 after 0.0m
I0331 21:54:47.915] Call:  gcloud config get-value account
I0331 21:54:48.892] process 57 exited with code 0 after 0.0m
I0331 21:54:48.893] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 21:54:48.893] Start 1245107106562969601 at ...
I0331 21:54:48.895] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_Z4BZl7 gs://kubernetes-jenkins/logs/metrics-kettle/1245107106562969601/started.json
I0331 21:54:51.762] process 70 exited with code 0 after 0.0m
I0331 21:54:51.763] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0331 21:54:51.801] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0331 22:01:24.162] ERROR: table k8s-gubernator:build.all is 14.9 hours old. Max allowed: 6 hours.
I0331 22:01:24.165] ERROR: table k8s-gubernator:build.week is 15.2 hours old. Max allowed: 6 hours.
I0331 22:01:24.165] ERROR: table k8s-gubernator:build.day is 14.7 hours old. Max allowed: 6 hours.
I0331 22:01:24.165] Collected data:
I0331 22:01:24.165] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0331 22:01:24.165] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0331 22:01:24.166] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0331 22:01:24.166] 
W0331 22:01:24.266] Traceback (most recent call last):
... skipping 22 lines ...
W0331 22:01:24.270]     self.send(msg)
W0331 22:01:24.270]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 22:01:24.270]     self.connect()
W0331 22:01:24.270]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 22:01:24.270]     conn = self._new_conn()
W0331 22:01:24.271]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 22:01:24.271]     self, "Failed to establish a new connection: %s" % e
W0331 22:01:24.271] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f0916ced358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 22:01:24.271] 
W0331 22:01:24.271] During handling of the above exception, another exception occurred:
W0331 22:01:24.271] 
W0331 22:01:24.271] Traceback (most recent call last):
W0331 22:01:24.272]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 22:01:24.272]     timeout=timeout
W0331 22:01:24.272]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 22:01:24.272]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 22:01:24.272]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 22:01:24.272]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 22:01:24.273] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f0916ced358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 22:01:24.273] 
W0331 22:01:24.273] During handling of the above exception, another exception occurred:
W0331 22:01:24.273] 
W0331 22:01:24.273] Traceback (most recent call last):
W0331 22:01:24.273]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 22:01:24.274]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 22:01:24.275]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 22:01:24.276]     resp = self.send(prep, **send_kwargs)
W0331 22:01:24.276]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 22:01:24.276]     r = adapter.send(request, **kwargs)
W0331 22:01:24.276]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 22:01:24.276]     raise ConnectionError(e, request=request)
W0331 22:01:24.276] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f0916ced358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 22:01:24.276] Traceback (most recent call last):
W0331 22:01:24.277]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 22:01:24.277]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 22:01:24.277]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 22:01:24.277]     check(*cmd)
W0331 22:01:24.277]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 22:01:24.277]     subprocess.check_call(cmd)
W0331 22:01:24.277]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 22:01:24.277]     raise CalledProcessError(retcode, cmd)
W0331 22:01:24.278] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 22:01:24.278] Command failed
I0331 22:01:24.278] process 252 exited with code 1 after 6.5m
E0331 22:01:24.278] FAIL: metrics-kettle
I0331 22:01:24.278] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 22:01:25.429] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 22:01:26.057] process 256 exited with code 0 after 0.0m
I0331 22:01:26.057] Call:  gcloud config get-value account
I0331 22:01:26.965] process 268 exited with code 0 after 0.0m
I0331 22:01:26.966] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 22:01:26.966] Upload result and artifacts...
I0331 22:01:26.966] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245107106562969601
W0331 22:01:26.967] Missing local artifacts : /workspace/_artifacts
W0331 22:01:26.967] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 22:01:26.967] metadata not found or invalid, init with empty metadata
I0331 22:01:26.967] Call:  git rev-parse HEAD
W0331 22:01:26.998] fatal: not a git repository (or any of the parent directories): .git
E0331 22:01:27.000] Command failed
I0331 22:01:27.000] process 281 exited with code 128 after 0.0m
I0331 22:01:27.001] Call:  git rev-parse HEAD
I0331 22:01:27.014] process 283 exited with code 0 after 0.0m
I0331 22:01:27.015] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 22:01:28.900] process 284 exited with code 0 after 0.0m
I0331 22:01:28.901] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585688408308592'
... skipping 8 lines ...